petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMPlexCheckSkeleton

Check that each cell has the correct number of vertices

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCheckSkeleton(DM dm, PetscInt cellHeight)

### Input Parameters

| dm | - The DMPlex object
| cellHeight | - Normally 0

Note: This is a useful diagnostic when creating meshes programmatically. Currently applicable only to homogeneous simplex or tensor meshes.

### See Also

DMCreate(), DMPlexCheckSymmetry(), DMPlexCheckFaces()

### Level

developer

### Location

src/dm/impls/plex/plex.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages